import {useState, useEffect} from "react"
import {csv} from "d3"



const csvUrl = 
      'https://gist.githubusercontent.com/anxietyattacked/e8c5c85c452b526b1ce1daca783e971e/raw/7857c5f20ea16bdc0dfc8d32e5de15c9cb0bc140/gistfile1.csv'


const row = d => {
 d.x = +d["LOC_X"];
d.y = +d["LOC_Y"];
d['SHOT_MADE_FLAG'] = +d["SHOT_MADE_FLAG"]
  return d;
};



export const useData = () => {
const [data, setData] = useState(null)
console.log(data)

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);


return data
}